import React from 'react';
import { Size, useColumnSizes, useContainerSizes } from './utilities';
import * as s from './styles';
export const Col = ({ children, size = Size.sm, colSpan = 0, ...rest }) => {
    const appendedStyle = useColumnSizes(size, colSpan);
    return (React.createElement("div", { style: { ...s.Col, ...appendedStyle }, ...rest }, children));
};
export const Container = ({ children, size = Size.sm, ...rest }) => {
    const maxWidth = useContainerSizes(size);
    return (React.createElement("div", { style: { ...s.Container, maxWidth }, ...rest }, children));
};
export const Row = ({ children, ...rest }) => {
    return (React.createElement("div", { style: s.Row, ...rest }, children));
};
