export const bshamburgericon = `url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")`;
export const AspectRatioContainer = {
    position: 'relative',
    // paddingTop: '93%',
};
export const AspectRatioItem = {
    left: 0,
    height: '100%',
    position: 'absolute',
    top: 0,
    width: '100%'
};
export const Backdrop = {
    alignItems: 'center',
    backgroundColor: 'rgba(0, 0, 0, 0.5)',
    display: 'flex',
    height: '100vh',
    justifyContent: 'center',
    left: 0,
    position: 'fixed',
    top: 0,
    width: '100vw',
};
export const Btn = {
    backgroundColor: 'transparent',
    border: '1px solid transparent',
    borderRadius: '.25rem',
    color: '#212529',
    cursor: 'pointer',
    display: 'inline-block',
    fontFamily: 'inherit',
    fontSize: '1rem',
    fontWeight: 400,
    lineHeight: 1.5,
    padding: '.375rem .75rem',
    textAlign: 'center',
    textDecoration: 'none',
    textTransform: 'none',
    transition: 'none',
    userSelect: 'none',
    verticalAlign: 'middle',
    WebkitAppearance: 'button',
};
export const BtnPrimary = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#0d6efd',
    borderColor: '#0d6efd',
};
export const BtnPrimaryFocus = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#0b5ed7',
    borderColor: '#0a58ca',
    boxShadow: '0 0 0 0.25rem rgb(49 132 253 / 50%)',
};
export const BtnPrimaryHover = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#0b5ed7',
    borderColor: '#0a58ca',
};
export const BtnSecondary = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#6c757d',
    borderColor: '#6c757d',
};
export const BtnSecondaryFocus = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#5c636a',
    borderColor: '#565e64',
    boxShadow: '0 0 0 0.25rem rgb(130 138 145 / 50%)',
};
export const BtnSecondaryHover = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#5c636a',
    borderColor: '#565e64',
};
export const BtnLight = {
    ...Btn,
    color: '#000',
    backgroundColor: '#f8f9fa',
    borderColor: '#f8f9fa',
};
export const BtnLightFocus = {
    ...Btn,
    color: '#000',
    backgroundColor: '#f9fafb',
    borderColor: '#f9fafb',
    boxShadow: '0 0 0 0.25rem rgba(211, 212, 213, 0.5)',
};
export const BtnLightHover = {
    ...Btn,
    color: '#000',
    backgroundColor: '#f9fafb',
    borderColor: '#f9fafb',
};
export const BtnSuccess = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#198754',
    borderColor: '#198754',
};
export const BtnSuccessFocus = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#157347',
    borderColor: '#146c43',
    boxShadow: '0 0 0 0.25rem rgba(60, 153, 110, 0.5)',
};
export const BtnSuccessHover = {
    ...Btn,
    color: '#fff',
    backgroundColor: '#157347',
    borderColor: '#146c43',
};
export const Card = {
    position: 'relative',
    display: 'flex',
    flexDirection: 'column',
    minWidth: 0,
    wordWrap: 'break-word',
    backgroundColor: '#fff',
    backgroundClip: 'border-box',
    border: '1px solid rgba(0,0,0,.125)',
    borderRadius: '.25rem',
};
export const CardBody = {
    wordWrap: 'break-word',
    boxSizing: 'border-box',
    flex: '1 1 auto',
    padding: '1rem 1rem',
};
export const CardImage = {
    verticalAlign: 'middle',
    width: '100%',
};
export const CardImageTop = {
    ...CardImage,
    borderTopLeftRadius: 'calc(.25rem - 1px)',
    borderTopRightRadius: 'calc(.25rem - 1px)',
};
export const CardText = {
    wordWrap: 'break-word',
    boxSizing: 'border-box',
    // marginTop: 0,
    // marginBottom: '1rem',
};
export const CardTitle = {
    marginTop: 0,
    fontWeight: 500,
    lineHeight: 1.2,
    fontSize: '1.25rem',
    marginBottom: '.5rem',
};
export const CloseButton = {
    background: `transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat`,
    border: 0,
    borderRadius: '.25rem',
    boxSizing: 'content-box',
    cursor: 'pointer',
    height: '1em',
    margin: '-.5rem',
    padding: '.5rem',
    width: '1em',
};
export const Container = {
    marginLeft: 'auto',
    marginRight: 'auto',
    paddingLeft: 'calc(var(--bs-gutter-x) * .5)',
    paddingRight: 'calc(var(--bs-gutter-x) * .5)',
    width: '100%',
    display: 'inherit',
    flexWrap: 'inherit',
    alignItems: 'inherit',
    justifyContent: 'inherit',
};
export const Dropdown = {
    position: 'relative',
};
export const DropdownMenu = {
    zIndex: 1000,
    minWidth: '10rem',
    padding: '.5rem 0',
    margin: 0,
    backgroundColor: '#fff',
    backgroundClip: 'padding-box',
    border: '1px solid rgba(0,0,0,.15)',
    borderRadius: '.25rem',
    position: 'absolute',
};
export const FormCheck = {
    display: 'block',
    marginBottom: '.125rem',
    minHeight: '1.5rem',
    paddingLeft: '1.5em',
};
export const FormCheckSwitch = {
    ...FormCheck,
    paddingLeft: '2.5em',
};
export const FormCheckInput = {
    margin: 0,
    height: '1em',
    marginTop: '.25em',
    verticalAlign: 'top',
    backgroundColor: '#fff',
    backgroundRepeat: 'no-repeat',
    backgroundSize: 'contain',
    borderWidth: '1px',
    borderStyle: 'solid',
    borderColor: 'rgba(0,0,0,.25)',
    appearance: 'none',
    float: 'left',
    width: '2em',
    marginLeft: '-2.5em',
    backgroundImage: `url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e")`,
    backgroundPosition: 'left center',
    borderRadius: '2em',
    transition: 'none',
};
export const FormCheckInputChecked = {
    ...FormCheckInput,
    backgroundPosition: 'right center',
    backgroundColor: '#0d6efd',
    borderColor: '#0d6efd',
    backgroundImage: `url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e")`,
};
export const FormCheckInputFocus = {
    borderColor: '#86b7fe',
    outline: 0,
    boxShadow: '0 0 0 .25rem rgba(13,110,253,.25)',
};
export const FormControl = {
    display: 'block',
    width: '100%',
    padding: '.375rem .75rem',
    fontSize: '1rem',
    fontWeight: 400,
    lineHeight: 1.5,
    color: '#212529',
    backgroundColor: '#fff',
    backgroundClip: 'padding-box',
    borderWidth: '1px',
    borderColor: '#ced4da',
    borderStyle: 'solid',
    appearance: 'none',
    borderRadius: '.25rem',
    transition: 'border-color .15s ease-in-out,box-shadow .15s ease-in-out',
    WebkitAppearance: 'none',
    MozAppearance: 'none',
};
export const FormControlFocus = {
    ...FormControl,
    borderColor: '#86b7fe',
    outline: 0,
    boxShadow: '0 0 0 .25rem rgba(13,110,253,.25)',
};
export const FormFloating = {
    position: 'relative',
};
export const FormFloatingFormControl = {
    ...FormControl,
    height: 'calc(3.5rem + 2px)',
    lineHeight: 1.25,
    paddingTop: '1.625rem',
    paddingBottom: '.625rem',
};
export const FloatingLabel = {
    border: '1px solid transparent',
    color: '#777',
    left: 0,
    height: '100%',
    padding: '1rem 0.75rem',
    pointerEvents: 'none',
    position: 'absolute',
    top: 0,
    transformOrigin: '0 0',
};
export const FloatingLabelFocus = {
    ...FloatingLabel,
    opacity: '0.65',
    transform: 'scale(0.85) translateY(-0.5rem) translateX(0.15rem)',
};
export const FixedTop = {
    position: 'fixed',
    top: 0,
    right: 0,
    left: 0,
    zIndex: 1030,
};
export const Lead = {
    fontSize: '1.25rem',
    fontWeight: '300',
};
export const Masonry = {
    display: 'flex',
    justifyContent: 'space-evenly'
};
export const MasonryBrick = {
    margin: '10px 0px',
};
export const MasonryCol = {
    margin: '0px 5px',
};
export const ModalBody = {
    flex: '1 1 auto',
    padding: '1rem',
    position: 'relative',
};
export const ModalContent = {
    backgroundClip: 'padding-box',
    backgroundColor: '#fff',
    borderRadius: '.3em',
    border: '1px solid rgba(0,0,0,.2)',
    display: 'flex',
    flexDirection: 'column',
    position: 'relative',
    width: '100%'
};
export const ModalDialog = {
    position: 'relative',
};
export const ModalFooter = {
    alignItems: 'center',
    borderBottomLeftRadius: 'calc(.3rem - 1px)',
    borderBottomRightRadius: 'calc(.3rem - 1px)',
    borderTop: '1px solid #dee2e6',
    display: 'flex',
    flexShrink: 0,
    flexWrap: 'wrap',
    justifyContent: 'flex-end',
    padding: '.75rem',
};
export const ModalHeader = {
    alignItems: 'center',
    borderBottom: '1px solid #dee2e6',
    borderTopLeftRadius: 'calc(.3rem - 1px)',
    borderTopRightRadius: 'calc(.3rem - 1px)',
    display: 'flex',
    flexShrink: 0,
    justifyContent: 'space-between',
    padding: '1rem'
};
export const NavBar = {
    alignItems: 'center',
    backgroundColor: 'rgba(var(--bs-navbar-bgcolor),1)',
    display: 'flex',
    flexWrap: 'wrap',
    justifyContent: 'space-between',
    marginBottom: 0,
    padding: '0.5rem 0.5rem',
    position: 'relative',
};
export const NavBarBrand = {
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    color: 'var(--bs-body-color)',
    fontSize: '1.25rem',
    marginRight: '1rem',
    paddingBottom: '0.3125rem',
    paddingTop: '0.3125rem',
    textDecoration: 'none',
    whiteSpace: 'nowrap',
};
export const NavBarCollapse = {
    alignItems: 'center',
    flexGrow: '1',
};
export const NavBarCollapseHor = {
    ...NavBarCollapse,
    display: 'flex',
    flexBasis: 'auto',
};
export const NavBarCollapseVer = {
    ...NavBarCollapse,
    flexBasis: '100%',
};
export const NavBarNav = {
    color: '',
    display: 'flex',
    flexBasis: '100%',
    flexGrow: 1,
    marginBottom: 0,
    paddingLeft: 0,
};
export const NavBarNavHor = {
    ...NavBarNav,
    flexDirection: 'row',
};
export const NavBarNavVer = {
    ...NavBarNav,
    flexDirection: 'column',
};
export const NavBarToggler = {
    backgroundColor: 'transparent',
    border: '1px solid rgba(0, 0, 0, 0.1)',
    borderRadius: '0.375rem',
    color: 'rgba(0, 0, 0, 0.55)',
    cursor: 'pointer',
    fontSize: '1.25rem',
    lineHeight: 1,
    padding: '.25rem .75rem',
};
export const NavBarTogglerFocus = {
    ...NavBarToggler,
    textDecoration: 'none',
    boxShadow: '0 0 0 0.25rem',
    outline: 0,
};
export const NavBarTogglerIcon = {
    backgroundImage: bshamburgericon,
    backgroundColor: 'transparent',
    backgroundPosition: 'center',
    backgroundRepeat: 'no-repeat',
    backgroundSize: '100%',
    display: 'inline-block',
    height: '1.5em',
    width: '1.5em',
    verticalAlign: 'middle',
};
export const NavLink = {
    color: 'var(--bs-body-color)',
    padding: '.5rem 1rem',
    display: 'block',
};
export const Row = {
    display: 'flex',
    flexWrap: 'wrap',
    marginLeft: 'calc(-.5 * var(--bs-gutter-x))',
    marginRight: 'calc(-.5 * var(--bs-gutter-x))',
    marginTop: 'calc(-1 * var(--bs-gutter-y))',
};
export const RowChild = {
    marginTop: 'var(--bs-gutter-y)',
    maxWidth: '100%',
    paddingLeft: 'calc(var(--bs-gutter-x) * .5)',
    paddingRight: 'calc(var(--bs-gutter-x) * .5)',
    width: '100%',
};
export const Col = {
    ...RowChild,
    flexGrow: 1,
    flexShrink: 0,
    flexBasis: '0%',
};
export const ScrollToTop = {
    bottom: '22px',
    fontSize: 'xx-large',
    position: 'fixed',
    right: '22px',
    zIndex: 500,
};
